---
kind: pipeline
name: default

steps:
  - name: build
    image: alpine:3.17.2
    commands:
      - apk update
      - apk add zola
      - zola build

  - name: upload
    when:
      branch:
        - main
    image: plugins/s3
    settings:
      bucket: guide.deuxfleurs.fr
      endpoint: https://garage.deuxfleurs.fr
      region: garage
      access_key:
        from_secret: aws_access_key_id
      secret_key:
        from_secret: aws_secret_access_key
      source: public/**/*
      target: /
      strip_prefix: public/
